Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1937236

Summary: tegra: failed to create GPU screen
Product: [Fedora] Fedora Reporter: Nicolas Chauvet (kwizart) <kwizart>
Component: mesaAssignee: Adam Jackson <ajax>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 34CC: ajax, bskeggs, caillon+fedoraproject, igor.raits, jglisse, kherbst, lyude, pbrobinson, rclark, rhughes, rstrode, tstellar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-11-04 10:07:00 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    
Attachments:
Description Flags
dmesg with "grate kernel" based on linux-next 20210302 none

Description Nicolas Chauvet (kwizart) 2021-03-10 08:28:11 UTC
Description of problem:
When using jetson-tk1 (armhfp) and maybe other aarch64 related devices (yet to be confirmed) the software rendering is used instead of the nouveau accelerated GPU.

Version-Release number of selected component (if applicable):
mesa-libGL-21.0.0~rc5-3.fc34.armv7hl

How reproducible:
always

Steps to Reproduce:
1. run gnome-shell on jetson-tk1* devices.
2.
3.

Actual results:
it uses the LLVM software rendering

Expected results:
It should have used the GPU accelerated by nouveau

Additional info:
This used to work previously.


journalctl -b _COMM=gnome-shell -o cat
Adding device '/dev/dri/card0' (tegra) using non-atomic mode setting (using atomic mode setting not allowed).
Adding device '/dev/dri/card1' (nouveau) using non-atomic mode setting.
nvc0_screen_create:1093 - Error creating SW object: -22
failed to create GPU screen
Failed to initialize accelerated iGPU/dGPU framebuffer sharing: Do not want to use software renderer (llvmpipe (LLVM 11.1.0, 128 bits)), falling back to CPU copy path
nvc0_screen_create:1093 - Error creating SW object: -22
Failed to initialize accelerated iGPU/dGPU framebuffer sharing: Do not want to use software renderer (llvmpipe (LLVM 11.1.0, 128 bits)), falling back to CPU copy path
Integrated GPU /dev/dri/card0 selected as primary
Disabling DMA buffer screen sharing for driver 'tegra'.
Using public X11 display :1024, (using :1025 for managed services)
Using Wayland display name 'wayland-0'
Skipping parental controls support as it’s disabled
Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Will monitor session c2
Unable to connect to ibus: Impossible de se connecter : Connexion refusée
Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Failed to set hardware cursor (drmModeSetCursor failed: Argument invalide), using OpenGL from now on
Registering session with GDM
Adding device '/dev/dri/card0' (tegra) using non-atomic mode setting (using atomic mode setting not allowed).
Adding device '/dev/dri/card1' (nouveau) using non-atomic mode setting.
nvc0_screen_create:1093 - Error creating SW object: -22
failed to create GPU screen
Failed to initialize accelerated iGPU/dGPU framebuffer sharing: Do not want to use software renderer (llvmpipe (LLVM 11.1.0, 128 bits)), falling back to CPU copy path
nvc0_screen_create:1093 - Error creating SW object: -22
Failed to initialize accelerated iGPU/dGPU framebuffer sharing: Do not want to use software renderer (llvmpipe (LLVM 11.1.0, 128 bits)), falling back to CPU copy path
Integrated GPU /dev/dri/card0 selected as primary
Disabling DMA buffer screen sharing for driver 'tegra'.
Using public X11 display :0, (using :1 for managed services)
Using Wayland display name 'wayland-0'
Skipping parental controls support as it’s disabled
Unset XDG_SESSION_ID, getCurrentSessionProxy() called outside a user session. Asking logind directly.
Will monitor session c3
Telepathy is not available, chat integration will be disabled.
Error looking up permission: GDBus.Error:org.freedesktop.portal.Error.NotFound: No entry for geolocation
Failed to set hardware cursor (drmModeSetCursor failed: Argument invalide), using OpenGL from now on
GNOME Shell started at Wed Mar 10 2021 09:05:47 GMT+0100 (heure normale d’Europe centrale)
Registering session with GDM

Comment 1 Karol Herbst 2021-03-10 11:09:15 UTC
might attaching the output of dmesg?

Comment 2 Nicolas Chauvet (kwizart) 2021-03-10 12:37:43 UTC
Nothing is written in dmesg after changing from multi-user to graphical

Also worth to mention that I'm using a downstream kernel (basically linux-next 20210302 with grate patches from github.com/grate-driver/linux)

Using a fedora kernel (5.11.5) I'm experiencing this page fault: 1937129

I've just reproduced with linux-next 20210302 (without grate), the same failure occurs.

Comment 3 Karol Herbst 2021-03-10 14:25:13 UTC
(In reply to Nicolas Chauvet (kwizart) from comment #2)
> Nothing is written in dmesg after changing from multi-user to graphical
> 

irrelevant as it might point out to something going wrong earlier.

> Also worth to mention that I'm using a downstream kernel (basically
> linux-next 20210302 with grate patches from github.com/grate-driver/linux)
> 
> Using a fedora kernel (5.11.5) I'm experiencing this page fault: 1937129
> 
> I've just reproduced with linux-next 20210302 (without grate), the same
> failure occurs.

Comment 4 Nicolas Chauvet (kwizart) 2021-03-10 16:47:13 UTC
Created attachment 1762377 [details]
dmesg with "grate kernel" based on linux-next 20210302

Comment 5 Nicolas Chauvet (kwizart) 2021-03-10 16:49:33 UTC
Seems like kernel 5.10.6 is the last known good kernel with me:
- Doesn't have the page fault (see rhbz#1937129)
- Correctly allow userspace to use GL_VENDOR=NVIDIA and GL_RENDERER=tegra (instead of LLVM)

Still checking previously built kernel to start bisecting...

Comment 6 Nicolas Chauvet (kwizart) 2021-03-10 17:39:25 UTC
Bisection started between v5.10 and v5.11-rc1

Comment 7 Nicolas Chauvet (kwizart) 2021-08-17 14:11:21 UTC

with 5.14-rc5 as a base + tegra-next + tegra-drm-next + tegra-drm-fixes (scheduled for next) + PM patches (scheduled for 5.16, but optionals).
And using libdrm scheduled for the new tegra uABI...

I have no issue anymore to have a graphical display using Wayland on workstation Spin (jetson-tk1).

Comment 8 Nicolas Chauvet (kwizart) 2021-11-04 10:07:00 UTC
I confirm that current fedora kernel and f35 userspace works under wayland. Xorg would requires the newer 21 release as it relies upon drm modifier support (or some others features only in xserver 21).